wxWidgets: wxPixelData< Image, PixelFormat >::Iterator Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxPixelData< Image, PixelFormat >::Iterator Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/rawbmp.h>`

## Detailed Description

### template<class Image, class PixelFormat = wxPixelFormatFor<Image>>
class wxPixelData< Image, PixelFormat >::Iterator

The iterator of class wxPixelData.

## Public Member Functions
void | Reset (const PixelData &data)
| Reset the iterator to point to (0, 0). More...
| Iterator (PixelData &data)
| Initializes the iterator to point to the origin of the given pixel data. More...
| Iterator (wxBitmap &bmp, PixelData &data)
| Initializes the iterator to point to the origin of the given Bitmap. More...
| Iterator ()
| Default constructor. More...
bool | IsOk () const
| Return true if this iterator is valid. More...
Iterator & | operator++ ()
| Advance the iterator to the next pixel, prefix version. More...
Iterator | operator++ (int)
| Advance the iterator to the next pixel, postfix (hence less efficient – don't use it unless you absolutely must) version. More...
void | Offset (const PixelData &data, int x, int y)
| Move x pixels to the right and y down. More...
void | OffsetX (const PixelData &data, int x)
| Move x pixels to the right. More...
void | OffsetY (const PixelData &data, int y)
| Move y rows to the bottom. More...
void | MoveTo (const PixelData &data, int x, int y)
| Go to the given position. More...
ChannelType & | Red ()
| Data Access: Access to individual colour components. More...
ChannelType & | Green ()
| Data Access: Access to individual colour components. More...
ChannelType & | Blue ()
| Data Access: Access to individual colour components. More...
ChannelType & | Alpha ()
| Data Access: Access to individual colour components. More...

## Constructor & Destructor Documentation

## ◆ Iterator() [1/3]

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

wxPixelData< Image, PixelFormat >::Iterator::Iterator | ( | PixelData & | data | ) |

Initializes the iterator to point to the origin of the given pixel data.

## ◆ Iterator() [2/3]

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

wxPixelData< Image, PixelFormat >::Iterator::Iterator | ( | wxBitmap & | bmp,
|  | PixelData & | data
| ) |  |

Initializes the iterator to point to the origin of the given Bitmap.

## ◆ Iterator() [3/3]

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

wxPixelData< Image, PixelFormat >::Iterator::Iterator | ( |  | ) |

Default constructor.

## Member Function Documentation

## ◆ Alpha()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

ChannelType& wxPixelData< Image, PixelFormat >::Iterator::Alpha | ( |  | ) |

Data Access: Access to individual colour components.

## ◆ Blue()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

ChannelType& wxPixelData< Image, PixelFormat >::Iterator::Blue | ( |  | ) |

Data Access: Access to individual colour components.

## ◆ Green()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

ChannelType& wxPixelData< Image, PixelFormat >::Iterator::Green | ( |  | ) |

Data Access: Access to individual colour components.

## ◆ IsOk()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

bool wxPixelData< Image, PixelFormat >::Iterator::IsOk | ( |  | ) | const

Return true if this iterator is valid.

## ◆ MoveTo()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

void wxPixelData< Image, PixelFormat >::Iterator::MoveTo | ( | const PixelData & | data,
|  | int | x,
|  | int | y
| ) |  |

Go to the given position.

## ◆ Offset()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

void wxPixelData< Image, PixelFormat >::Iterator::Offset | ( | const PixelData & | data,
|  | int | x,
|  | int | y
| ) |  |

Move x pixels to the right and y down.

Note
  The rows won't wrap automatically.

## ◆ OffsetX()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

void wxPixelData< Image, PixelFormat >::Iterator::OffsetX | ( | const PixelData & | data,
|  | int | x
| ) |  |

Move x pixels to the right.

Note
  The rows won't wrap automatically.

## ◆ OffsetY()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

void wxPixelData< Image, PixelFormat >::Iterator::OffsetY | ( | const PixelData & | data,
|  | int | y
| ) |  |

Move y rows to the bottom.

## ◆ operator++() [1/2]

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

Iterator& wxPixelData< Image, PixelFormat >::Iterator::operator++ | ( |  | ) |

Advance the iterator to the next pixel, prefix version.

## ◆ operator++() [2/2]

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

Iterator wxPixelData< Image, PixelFormat >::Iterator::operator++ | ( | int |  | ) |

Advance the iterator to the next pixel, postfix (hence less efficient – don't use it unless you absolutely must) version.

## ◆ Red()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

ChannelType& wxPixelData< Image, PixelFormat >::Iterator::Red | ( |  | ) |

Data Access: Access to individual colour components.

## ◆ Reset()

template<class Image , class PixelFormat = wxPixelFormatFor<Image>>

void wxPixelData< Image, PixelFormat >::Iterator::Reset | ( | const PixelData & | data | ) |

Reset the iterator to point to (0, 0).